As a product owner, I want to know how people are using the feed.
Closed, ResolvedPublic3 Story Points

Description

Each event should be labeled with its feed section (ie. Nearby):

Load

Given I am on the feed
When a section loads
Then the app should send a Piwik Feed Section Load
And it should specify which section was loaded (Related, Nearby, etc.)

Impression

Given I am on the feed
When I see an article in the feed
Then the app should send a Piwik Impression event
And it should specify the "identifier" of the section which the item appeared in (e.g. Related, Nearby, Random, etc.)

Click to Article

Given I am on a universal article list
When I tap a list item
Then the app should send a "click" event
And it should specify the discovery method for that article

Save

Given I see a save button
When I tap it
Then the app should send a "saved" event
And it should specify the new saved state (i.e. saved/unsaved)

More Like

Given I am on the feed
When I tap the "More like" footer for a section
Then the app should send a "More Like Feed Section" event
And it should specify the section that the "More Like" footer belongs to


Dev Notes

For Save events, we need to figure out whether Piwik infers which "view" the app was in when this event was dispatched. E.g. the user saved on "Feed" or "Article view".

JMinor created this task.Oct 13 2015, 5:40 PM
JMinor updated the task description. (Show Details)
JMinor raised the priority of this task from to Normal.
JMinor added a subscriber: JMinor.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2015, 5:40 PM
JMinor updated the task description. (Show Details)Oct 13 2015, 6:15 PM
JMinor set Security to None.

@JMinor this is tagged for beta, but is already in ready for dev, ahead of other alpha tasks. Is that intentional?

@JMinor to be clear, do you intend for us to use Piwik for this initially, or go straight to Event Logging?

MBinder_WMF edited a custom field.Oct 19 2015, 8:44 PM
JMinor updated the task description. (Show Details)Oct 27 2015, 6:22 PM
JMinor updated the task description. (Show Details)Oct 27 2015, 6:28 PM
BGerstle-WMF updated the task description. (Show Details)

@JMinor got a few more questions.

  1. For "impressions" - do you want to log an impression for each section or for each item in each section?
  2. Piwik has "impression/conversion" tracking which can used instead of just a plain "event" do you want me to use that for tracking the impressions and taps on the home view?
JMinor added a comment.EditedDec 17 2015, 6:54 PM
  1. Lets track each individual item
  2. No lets use the event system for tracking user events in general. Its not too hard to calculate conversion rate and it just keeps user interactions all in the same reports.

@JMinor also - I didn't add "load section" tracking as that seemed to not be necessary (especially since we are going to lazy loading anyways) - impressions / taps for each appear to be enough data. Let me know if you think otherwise.

JMinor added a comment.EditedDec 17 2015, 8:27 PM

@Fjalapeno Agreed, thats fine for now given our current refreshing pattern and feed architecture. The long term intent is to see how many items are being generated but never viewed.

Checked with 5.0.0 (602) on iPad mini iOS 8.2 and iPhone 5 iOS 9.02.

  • piwik records promptly & filters correctly the events mentioned in the above scenarios
  • Save/un Save event is recorded as following

  • not sequential numbering of events?

JMinor closed this task as Resolved.Jan 26 2016, 10:36 PM

Yeah, I think the 5x is just part of Piwik, and we can use the Events report to get total aggregate numbers.